Bullet Collision Detection & Physics Library: btPersistentManifold.cpp File Reference

Bullet Collision Detection & Physics Library

Macros | Functions | Variables
btPersistentManifold.cpp File Reference
`#include "btPersistentManifold.h"`
`#include "LinearMath/btTransform.h"`
Include dependency graph for btPersistentManifold.cpp:

Go to the source code of this file.

## Macros
#define | KEEP_DEEPEST_POINT 1

## Functions
static btScalar | calcArea4Points (const btVector3 &p0, const btVector3 &p1, const btVector3 &p2, const btVector3 &p3)

## Variables
btScalar | gContactBreakingThreshold = btScalar(0.02)
| maximum contact breaking and merging threshold More...
ContactDestroyedCallback | gContactDestroyedCallback = 0
ContactProcessedCallback | gContactProcessedCallback = 0
bool | gContactCalcArea3Points = true
| gContactCalcArea3Points will approximate the convex hull area using 3 points when setting it to false, it will use 4 points to compute the area: it is more accurate but slower More...

## Macro Definition Documentation

## § KEEP_DEEPEST_POINT

#define KEEP_DEEPEST_POINT 1

## Function Documentation

## § calcArea4Points()

static btScalar calcArea4Points | ( | const btVector3 & | p0,
|  | const btVector3 & | p1,
|  | const btVector3 & | p2,
|  | const btVector3 & | p3
| ) |  |
| inlinestatic

Definition at line 89 of file btPersistentManifold.cpp.

## Variable Documentation

## § gContactBreakingThreshold

btScalar gContactBreakingThreshold = btScalar(0.02)

maximum contact breaking and merging threshold

Definition at line 21 of file btPersistentManifold.cpp.

## § gContactCalcArea3Points

bool gContactCalcArea3Points = true

gContactCalcArea3Points will approximate the convex hull area using 3 points when setting it to false, it will use 4 points to compute the area: it is more accurate but slower

Definition at line 26 of file btPersistentManifold.cpp.

## § gContactDestroyedCallback

ContactDestroyedCallback gContactDestroyedCallback = 0

Definition at line 22 of file btPersistentManifold.cpp.

## § gContactProcessedCallback

ContactProcessedCallback gContactProcessedCallback = 0

Definition at line 23 of file btPersistentManifold.cpp.